From 6375e1f233b9366ca0ba40fac785764df0a6edb2 Mon Sep 17 00:00:00 2001
From: W. Trevor King <wking@drexel.edu>
Date: Tue, 21 Oct 2008 19:57:03 -0400
Subject: [PATCH] Added wxglade entry to Makefile for regenerating automatic code.

Also updated Makefile defaults for my Linux installation.
---
 Makefile |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

diff --git a/Makefile b/Makefile
index ccb2e69..5edf183 100644
--- a/Makefile
+++ b/Makefile
@@ -13,16 +13,17 @@
 # The following two lines can be determined by running:
 
 # wx-config --cppflags
-WX_CCFLAGS = -I/sw/lib/wx/include/mac-ansi-release-2.5 -I/sw/include/wx-2.5 -D__WXMAC__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -DWX_PRECOMP -DNO_GCC_PRAGMA
+WX_CCFLAGS = -I/usr/lib/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__
 
 # wx-config --libs
-WX_LIBS = -L/sw/lib  -L/sw/lib -framework QuickTime -framework IOKit -framework Carbon -framework Cocoa -framework System  -lwx_mac_xrc-2.5 -lwx_mac_html-2.5 -lwx_mac_adv-2.5 -lwx_mac_core-2.5 -lwx_base_carbon_xml-2.5 -lwx_base_carbon_net-2.5 -lwx_base_carbon-2.5
+WX_LIBS = -pthread -Wl,-Bsymbolic-functions  -lwx_gtk2u_richtext-2.8 -lwx_gtk2u_aui-2.8 -lwx_gtk2u_xrc-2.8 -lwx_gtk2u_qa-2.8 -lwx_gtk2u_html-2.8 -lwx_gtk2u_adv-2.8 -lwx_gtk2u_core-2.8 -lwx_baseu_xml-2.8 -lwx_baseu_net-2.8 -lwx_baseu-2.8 
 
 # If fs_gui_wxwidgets is set, fs_kit gets compiled with the GUI 
 WX_FSKITFLAG = -Dfs_gui_wxwidgets
 
 CC = /usr/bin/gcc
-CC_OPTIONS = -W -Wall -Wno-long-double -I/sw/include $(WX_FSKITFLAG) $(WX_CCFLAGS)
+#CC_OPTIONS = -W -Wall -Wno-long-double -I/sw/include $(WX_FSKITFLAG) $(WX_CCFLAGS)
+CC_OPTIONS = -W -Wall $(WX_FSKITFLAG) $(WX_CCFLAGS)
 LNK_OPTIONS = -L/sw/lib -lgsl -lgslcblas -lstdc++ $(WX_LIBS)
 
 #
@@ -185,3 +186,6 @@ fs_select_tree.o : src/fs_select_tree.cpp
 
 
 ##### END RUN ####
+
+src/fs_gui_layout.cpp : src/fs_gui.wxg
+	wxglade -g C++ -o src/fs_gui_layout src/fs_gui.wxg
-- 
1.5.4.3

